Package com.sun.speech.freetts

# Class Age

java.lang.Object
com.sun.speech.freetts.Age

All Implemented Interfaces:
  `Comparable`

public class Age extends Object implements Comparable
Provides an enumeration of Age, following JSAPI style. (http://java.sun.com/products/java-media/speech/forDevelopers/jsapi-doc/) This is intended for use to define properties about FreeTTS voices.

See Also:
  - `Voice`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Age`
`CHILD`
Age roughly up to 12 years.
`static final Age`
`DONT_CARE`
Matches against any Age.
`static final Age`
`MIDDLE_ADULT`
Age roughly 40 to 60 years.
`static final Age`
`NEUTRAL`
An Age that is indeterminate.
`static final Age`
`OLDER_ADULT`
Age roughly 60 years and up.
`static final Age`
`TEENAGER`
Age roughly 13 to 19 years.
`static final Age`
`YOUNGER_ADULT`
Age roughly 20 to 40 years.

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object o)`
Compare two ages.
`String`
`toString()`
Provide a human readable string that describes the age.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### CHILD

public static final Age CHILD
Age roughly up to 12 years.

### TEENAGER

public static final Age TEENAGER
Age roughly 13 to 19 years.

### YOUNGER_ADULT

public static final Age YOUNGER_ADULT
Age roughly 20 to 40 years.

### MIDDLE_ADULT

public static final Age MIDDLE_ADULT
Age roughly 40 to 60 years.

### OLDER_ADULT

public static final Age OLDER_ADULT
Age roughly 60 years and up.

### NEUTRAL

public static final Age NEUTRAL
An Age that is indeterminate.

### DONT_CARE

public static final Age DONT_CARE
Matches against any Age.

## Method Details

### toString

public String toString()
Provide a human readable string that describes the age.

Overrides:
  `toString` in class `Object`
Returns:
  the name of the age

### compareTo

public int compareTo(Object o)
Compare two ages. CHILD is less than TEENAGER, and so on. If either age is DONT_CARE, then they are equal.

Specified by:
  `compareTo` in interface `Comparable`